Subject: Re: [RFC] net: release dst entry in dev_queue_xmit()

From: Jarek Poplawski <[email-masked]>
Date: Wed, 25 Mar 2009 22:12:02 +0100

On Wed, Mar 25, 2009 at 09:28:37PM +0100, Eric Dumazet wrote:
> Jarek Poplawski a écrit :
> 
> > I guess you've considered the loopback too...
> > 
> 
> I had for the first patch (carefuly avoiding loopback being not responsive) :
> I was releasing dst only if enqueue() was called.
> 
> You are right, loopback doesnt work anymore with last patch,
> and I have no idea why...
> 
> Do you know why ?

Hmm.. isn't this test for dst == NULL in ip_rcv_finish expected to be
negative for loopback source?

Jarek P.